## sysrqd 8

=== Makefile ===
VERSION=$(shell grep '^Version' ChangeLog | head -n 1 | cut -d' ' -f2 | tr -d ' ')
BIN=sysrqd
O=sysrqd.o
LDFLAGS=
CFLAGS=-W -Wall -DSYSRQD_VERSION="\"$(VERSION)\"" -g

SBINDIR=$(DESTDIR)/usr/sbin
#MANDIR=$(DESTDIR)/usr/share/man/man1
INSTALL = install
#MAN=sysrqd.1

$(BIN): $(O)
	$(CC) $(LDFLAGS) -o $(BIN) $(O)

install: $(BIN)
	$(INSTALL) -d -m 755 $(SBINDIR)
	$(INSTALL) -m 755 $(BIN) $(SBINDIR)

	#$(INSTALL) -d -m 755 $(MANDIR)
	#$(INSTALL) -m 644 $(MAN) $(MANDIR)

clean:
	rm -f *~ $(O) $(BIN)

release: clean
	mkdir ../$(BIN)-$(VERSION)
	cp -a * ../$(BIN)-$(VERSION)
	cd .. && tar czf $(BIN)-$(VERSION).tar.gz $(BIN)-$(VERSION)
	rm -rf ../$(BIN)-$(VERSION)

## sysrqd 9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 BIN=sysrqd
 O=sysrqd.o
 LDFLAGS=
-CFLAGS=-W -Wall -DSYSRQD_VERSION="\"$(VERSION)\"" -g
+CFLAGS=-W -Wall -DSYSRQD_VERSION="\"$(VERSION)\"" -O2
 
 SBINDIR=$(DESTDIR)/usr/sbin
 #MANDIR=$(DESTDIR)/usr/share/man/man1

## sysrqd 10

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,11 @@
 VERSION=$(shell grep '^Version' ChangeLog | head -n 1 | cut -d' ' -f2 | tr -d ' ')
 BIN=sysrqd
 O=sysrqd.o
-LDFLAGS=
-CFLAGS=-W -Wall -DSYSRQD_VERSION="\"$(VERSION)\"" -O2
+CFLAGS+=-W -Wall -Wextra \
+        -Wundef -Wshadow -Wcast-align -Wwrite-strings -Wsign-compare \
+        -Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
+        -Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn \
+        -std=gnu99 -pipe -DSYSRQD_VERSION="\"$(VERSION)\"" -O0
 
 SBINDIR=$(DESTDIR)/usr/sbin
 #MANDIR=$(DESTDIR)/usr/share/man/man1

## sysrqd 14

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
         -Wundef -Wshadow -Wcast-align -Wwrite-strings -Wsign-compare \
         -Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
         -Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn \
-        -std=gnu99 -pipe -DSYSRQD_VERSION="\"$(VERSION)\"" -O0
+        -std=gnu99 -pipe -DSYSRQD_VERSION="\"$(VERSION)\"" -O3
 
 SBINDIR=$(DESTDIR)/usr/sbin
 #MANDIR=$(DESTDIR)/usr/share/man/man1

=== debian/changelog ===
sysrqd (14-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.4 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 May 2024 08:46:42 +0200

sysrqd (14-3) unstable; urgency=medium

  * QA upload.
  * Fix init script.
    The restart action would fail if the daemon was not running, as the
    start-stop-daemon call there did not have the --oknodo option set
    (contrary to the same call in the stop action).
    Simplify the init script by using /lib/lsb/init-functions.
  * Remove unneeded debian/dirs.
  * debian/control:
    - use debhelper-compat (= 13), and
    - set Pre-Depends: ${misc:Pre-Depends}
  * debian/rules: enable all hardening flags.

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Nov 2022 18:45:18 +0100

sysrqd (14-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #928529)

 -- Marcos Talau <talau@debian.org>  Fri, 11 Nov 2022 07:11:54 -0300

sysrqd (14-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 14 Jun 2010 12:38:22 +0200

sysrqd (13-1) unstable; urgency=low

  * New upstream release
  * Switch to dh 7
  * Switch to source format 3.0
  * Bump standard version
  * Add --oknodo to start-stop-daemon when stopping (Closes: #535804)

 -- Julien Danjou <acid@debian.org>  Mon, 08 Feb 2010 15:02:10 +0100

sysrqd (12-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 19 Oct 2009 14:05:41 +0200

sysrqd (11-1) unstable; urgency=low

  * New upstream release
  * Bump standard version
  * Add missing runlevel in init.d script

 -- Julien Danjou <acid@debian.org>  Mon, 19 Oct 2009 11:36:25 +0200

sysrqd (10-1) unstable; urgency=low

  * New upstream release
  * Bump standard version
  * Fix copyright file: add version and copyright statement

 -- Julien Danjou <acid@debian.org>  Thu, 12 Feb 2009 12:11:56 +0100

sysrqd (9-2) unstable; urgency=low

  * Add LSB section to init.d script (Closes: #458489)
  * Don't ignore make clean errors in debian/rules
  * Bump standard version
  * Switch to dh_compat 5
  * Remove useless dir usr/bin

 -- Julien Danjou <acid@debian.org>  Tue, 01 Jan 2008 14:31:47 +0100

sysrqd (9-1) unstable; urgency=low

  * New upstream release.

 -- Julien Danjou <acid@debian.org>  Fri, 19 Jan 2007 16:40:43 +0100

sysrqd (8-1) unstable; urgency=low

  * New upstrem release.

 -- Julien Danjou <acid@debian.org>  Tue, 11 Jul 2006 11:49:23 +0200

sysrqd (6-1) unstable; urgency=low

  * New upstream release
    - Fix error with pidfile (Closes: #367489)
  * Port number is now 880, and documented in README.Debian (Closes: #367492)
  * Fix init.d script (Closes: #367490)
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 15:20:15 +0200

sysrqd (5-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon,  1 May 2006 12:00:32 +0200

sysrqd (4-1) unstable; urgency=low

  * New upstream release
  * Change init.d script, now it can be stopped

 -- Julien Danjou <acid@debian.org>  Sun, 30 Apr 2006 22:12:25 +0200

sysrqd (3-1) unstable; urgency=low

  * Initial release (Closes: #361271)

 -- Julien Danjou <acid@debian.org>  Wed, 12 Apr 2006 15:45:15 +0200

=== debian/control ===
Source: sysrqd
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/sysrqd
Vcs-Git: https://salsa.debian.org/debian/sysrqd.git

Package: sysrqd
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: small daemon intended to manage Linux SysRq over network
 Permits to execute usual SysRq commands by network, like:
 sync, umount, reboot, poweroff, sak, term, etc.
 .
 Its philosophy is to be very responsive under heavy load and
 try to be somehow reliable. Authentication is made by clear password.

## sysrqd 17

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
         -Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
         -Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn \
         -std=gnu99 -pipe -DSYSRQD_VERSION="\"$(VERSION)\"" -O3
+LDFLAGS+=-lcrypt
 
 SBINDIR=$(DESTDIR)/usr/sbin
 #MANDIR=$(DESTDIR)/usr/share/man/man1
@@ -13,7 +14,7 @@
 #MAN=sysrqd.1
 
 $(BIN): $(O)
-	$(CC) $(LDFLAGS) -o $(BIN) $(O)
+	$(CC) -o $(BIN) $(O) $(LDFLAGS) 
 
 install: $(BIN)
 	$(INSTALL) -d -m 755 $(SBINDIR)

=== debian/changelog ===
sysrqd (17-1) unstable; urgency=medium

  * New maintainer (Closes: #928529).
  * d/watch: Add file.
  * New upstream version (Closes: #979683).
  * d/sysrqd.docs: Add README.md to docs.
  * d/copyright: Modernize copyright file.
  * d/control: Add Homepage.
  * d/control: Bump Standards Versions to 4.7.3 (from 4.7.0; remove Priority
    from source stanza).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 01 Jan 2026 17:47:00 -0300

sysrqd (14-5) unstable; urgency=medium

  * QA upload.
  * Added service file (Closes: #1039388).

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Wed, 31 Dec 2025 14:03:34 +0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: sysrqd
 Section: admin
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Emmanuel Arias <eamanu@debian.org>
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/sysrqd
 Vcs-Git: https://salsa.debian.org/debian/sysrqd.git
+Homepage: https://github.com/jd/sysrqd
 
 Package: sysrqd
 Architecture: any

=== debian/watch ===
Version: 5
Template: Github
Owner: jd
Project: sysrqd
